Robot Simulator of the Robotics Group for Self-Organization of Control: TwoWheeled Class Reference

# TwoWheeled Class Reference

Robot is based on nimm2 with a camera installed. More...

`#include <twowheeled.h>`

Inherits lpzrobots::Nimm2.

Collaboration diagram for TwoWheeled:
[legend]

List of all members.

## Public Member Functions
| TwoWheeled (const OdeHandle &odeHandle, const OsgHandle &osgHandle, TwoWheeledConf conf, const std::string &name)
| constructor of twowheeled robot
virtual | ~TwoWheeled ()
virtual void | update ()
| updates the OSG nodes of the vehicle
virtual int | getSensorNumber ()
| returns number of sensors
virtual int | getSensors (sensor *sensors, int sensornumber)
| returns actual sensorvalues
virtual void | sense (GlobalData &globalData)
| this function is called each controlstep before control.
## Static Public Member Functions
static TwoWheeledConf | getDefaultConf ()
## Protected Member Functions
virtual void | create (const osg::Matrix &pose)
| creates vehicle at desired pose
virtual void | destroy ()
| destroys vehicle and space
## Protected Attributes
TwoWheeledConf | conf
| Inspectable interface.
CameraSensor * | camsensor
Camera * | cam

## Detailed Description

Robot is based on nimm2 with a camera installed.

## Constructor & Destructor Documentation

TwoWheeled | ( | const OdeHandle & | odeHandle,
|  | const OsgHandle & | osgHandle,
|  | TwoWheeledConf | conf,
|  | const std::string & | name |
| ) |  |  |

constructor of twowheeled robot

Parameters:

  | odeHandle | data structure for accessing ODE
  | osgHandle | ata structure for accessing OSG
  | conf | configuration structure
  | name | name of the robot

~TwoWheeled | ( |  | ) | `[virtual]`

## Member Function Documentation

void create | ( | const osg::Matrix & | pose | ) | `[protected, virtual]`

creates vehicle at desired pose

creates vehicle at desired position

Parameters:

  | pose | 4x4 pose matrix
  | pos | struct Position with desired position

Reimplemented from Nimm2.

void destroy | ( |  | ) | `[protected, virtual]`

destroys vehicle and space

Reimplemented from Nimm2.

static TwoWheeledConf getDefaultConf | ( |  | ) | `[inline, static]`

Reimplemented from Nimm2.

int getSensorNumber | ( |  | ) | `[virtual]`

returns number of sensors

Reimplemented from Nimm2.

int getSensors | ( | sensor * | sensors,
|  | int | sensornumber |
| ) |  |  | `[virtual]`

returns actual sensorvalues

Parameters:

  | sensors | sensors scaled to [-1,1]
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Parameters:

  | sensors | sensors scaled to [-1,1] (more or less)
  | sensornumber | length of the sensor array

Returns:
  number of actually written sensors

Reimplemented from Nimm2.

void sense | ( | GlobalData & | globalData | ) | `[virtual]`

this function is called each controlstep before control.

This is the place the perform active sensing (e.g. Image processing)

Parameters:

  | globalData | structure that contains global data from the simulation environment

Reimplemented from OdeRobot.

void update | ( |  | ) | `[virtual]`

updates the OSG nodes of the vehicle

updates the osg notes and sensorbank

Reimplemented from Nimm2.

## Member Data Documentation

Camera* cam`[protected]`

CameraSensor* camsensor`[protected]`

TwoWheeledConf conf`[protected]`

Inspectable interface.

Reimplemented from Nimm2.

The documentation for this class was generated from the following files:

- twowheeled.h
- twowheeled.cpp